Bug 20637 - Bug in File I/O on kernel-2.2.16-22smp.i686
Bug in File I/O on kernel-2.2.16-22smp.i686
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-10 07:13 EST by ola
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-05 18:22:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ola 2000-11-10 07:13:44 EST
We get the following error on trying to read medium sized files, approx above 50 Mbytes in size. The application trying to access the file segfaults of course.

The problem only occurs after the kernel has been running for a day or so. Rebooting temporarily fixes the problem.

Downgrading to kernel-2.2.16-3smp.i386 fixes the problem.

-------------------
  Nov  8 10:57:51 w01 kernel: Unable to handle kernel NULL pointer dereference at virtual address 00000018
Nov  8 10:57:51 w01 kernel: current->tss.cr3 = 12bfc000, %%cr3 = 12bfc000
Nov  8 10:57:51 w01 kernel: *pde = 00000000
Nov  8 10:57:51 w01 kernel: Oops: 0000
Nov  8 10:57:51 w01 kernel: CPU:    0
Nov  8 10:57:51 w01 kernel: EIP:    0010:[try_to_read_ahead+111/280]
Nov  8 10:57:51 w01 kernel: EFLAGS: 00010202
Nov  8 10:57:51 w01 kernel: eax: d7f29ba4   ebx: c2651000   ecx: 00000000   edx: 00000010
Nov  8 10:57:51 w01 kernel: esi: cea80880   edi: c3b04000   ebp: c2661000   esp: c4811f18
Nov  8 10:57:51 w01 kernel: ds: 0018   es: 0018   ss: 0018
Nov  8 10:57:51 w01 kernel: Process tar (pid: 23380, process nr: 28, stackpage=c4811000)
Nov  8 10:57:51 w01 kernel: Stack: c033c548 c2661000 d7f29ba4 c0121412 c4422c60 c2661000 00000000 00000200
Nov  8 10:57:51 w01 kernel:        bfffe7c0 00000000 c4810000 d7f29ae8 00010000 c2632000 00020000 0001f000
Nov  8 10:57:51 w01 kernel:        00000000 00000002 00000001 c2632000 cea80880 c01217d3 c4422c60 c4422c74
Nov  8 10:57:51 w01 kernel: Call Trace: [do_generic_file_read+754/1536] [generic_file_read+99/124] [file_read_actor+0/80] [sys_read+194/232] [system_call+52/56] [startup_32+43/164]
Nov  8 10:57:51 w01 kernel: Code: 39 72 08 75 f4 39 6a 0c 75 ef f0 ff 42 14 b8 02 00 00 00 f0

******* still running




Nov 10 11:37:11 w01 kernel: Unable to handle kernel NULL pointer dereference at virtual address 00000018
Nov 10 11:37:11 w01 kernel: current->tss.cr3 = 0a380000, %%cr3 = 0a380000
Nov 10 11:37:11 w01 kernel: *pde = 00000000
Nov 10 11:37:11 w01 kernel: Oops: 0000
Nov 10 11:37:11 w01 kernel: CPU:    0
Nov 10 11:37:11 w01 kernel: EIP:    0010:[try_to_read_ahead+111/280]
Nov 10 11:37:11 w01 kernel: EFLAGS: 00010202
Nov 10 11:37:11 w01 kernel: eax: d7f29ba4   ebx: 00bc8000   ecx: d0441b60   edx: 00000010
Nov 10 11:37:11 w01 kernel: esi: cea9b100   edi: c235b000   ebp: 00bd9000   esp: c7e3df18
Nov 10 11:37:11 w01 kernel: ds: 0018   es: 0018   ss: 0018
Nov 10 11:37:11 w01 kernel: Process imapd (pid: 5169, process nr: 115, stackpage=c7e3d000)
Nov 10 11:37:11 w01 kernel: Stack: c02ff968 00bd9000 d7f29ba4 c0121412 d0441b60 00bd9000 c235b000 00004000
Nov 10 11:37:11 w01 kernel:        080fa650 00000000 c7e3c000 d7f29ae8 00011000 00baa000 00020000 0001f000
Nov 10 11:37:11 w01 kernel:        c235b000 00000002 00000001 00baa000 cea9b100 c01217d3 d0441b60 d0441b74
Nov 10 11:37:11 w01 kernel: Call Trace: [do_generic_file_read+754/1536] [generic_file_read+99/124] [file_read_actor+0/80] [sys_read+194/232] [system_call+52/56]
Nov 10 11:37:11 w01 kernel: Code: 39 72 08 75 f4 39 6a 0c 75 ef f0 ff 42 14 b8 02 00 00 00 f0

Note You need to log in before you can comment on or make changes to this bug.